nisln(1)

NAME
nisln - symbolically link NIS+ objects

SYNOPSIS
nisln [ -L ] [ -Ddefaults ] name linkname

DESCRIPTION
The nisln command is used to link an object name to an NIS+ link linkname. If name is an indexed name, the link will point to entries within an NIS+ table. A client using the NIS+ API library may choose to follow symbolic links by specifying the FOLLOW_LINKS flag to the nis_lookup() and nis_list() routines. Most NIS+ commands also accept a -L flag that can be used to have them follow links.

OPTIONS
The nisln command accepts the following options:

-L  This flag causes nisln to follow links in the namespace when evauluating name.

-D defaults
    Normally, default values for the link object created by nisln are chosen using the NIS_DEFAULTS environment value, which consists of a list of colon-separated token/value pairs. With the -D flag, the user can specify an alternate defaults string to use instead of the environment variable. The following tokens may be specified:

ttl=time
    Set the default time to live for objects created by this command. The format for time is the same as defined in the nischttl(1) command. The default is 12 hours.

owner=ownername
    This token specifies that the NIS+ principal ownername should own new objects. The default for this value is the principal who is executing the command.

group=groupname
    Sets the default group principal for created objects, the default is NULL.

access=rights
    Sets the default access rights for created objects. The format for rights is the same as that specified by the nischmod(1) command.

ENVIRONMENT

NIS_PATH
    If this variable is set and the specified NIS+ name is not fully qualified, nisln will search each directory specified by NIS_PATH until the object is found.

NIS_DEFAULTS
    This variable can be used to specify defaults values that will override the hardcoded NIS+ defaults. This variable may itself be overridden by the -D flag.

EXIT CODES
The nisln command returns 0 on success and 1 on failure.

SEE ALSO
nisdefaults(1), nismatch(1), nisrm(1), nistbladm(1)

AUTHOR
This version of the nisln command was written by Thorsten Kukuk <kukuk@vt.uni-paderborn.de>